Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.reporting
[Java] Interface ReportContainer

    org.gradle.api.NamedDomainObjectCollection
      org.gradle.api.reporting.ReportContainer
          org.gradle.api.NamedDomainObjectSet
              org.gradle.util.Configurable
                  java.lang.Iterable
                      org.gradle.api.DomainObjectCollection
                          java.util.Collection

All Superinterfaces:
  NamedDomainObjectCollection, NamedDomainObjectSet, Configurable, Iterable, DomainObjectCollection, Collection

    public interface ReportContainer
    extends Configurable, NamedDomainObjectSet

A container of potential reports. Things that produce reports (typically tasks) expose a report container that contains Report objects for each possible report that they can produce. Each report object can be configured individually, including whether or not it should be produced by way of its Report#setEnabled(boolean)#setEnabled(boolean) property. ReportContainer implementations are immutable in that standard collection methods such as `add()`, `remove()` and `clear()` will throw an ImmutableViolationException. However, implementations may provide new methods that allow the addition of new report object and/or the removal of existing report objects.

Parameters:
  `` - The base report type for reports of this container.

Nested Class Summary
`static class` | `ReportContainer.ImmutableViolationException` The exception thrown when any of this container's mutation methods are called.

Method Summary
`NamedDomainObjectSet` | `getEnabled()` Returns an immutable collection of all the enabled reports.

Methods inherited from interface NamedDomainObjectSet
findAll, matching, matching, withType

Method Detail

### getEnabled

    public NamedDomainObjectSet getEnabled()

  Returns an immutable collection of all the enabled reports. The returned collection is live. That is, as reports are enabled/disabled the returned collection always reflects the current set of enabled reports.
  Returns:
    The enabled reports.

Gradle API 1.1-rc-1